> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /reed/jobs/search

> Search Reed jobs by keywords and location. Returns job cards: id, url, title, description, salary, location, remote option, posting company and dates. Filter by distance, salary range, job type, who posted, sector, remote, date posted and graduate/visa-sponsorship/easy-apply/early-bird/hide-training-jobs flags.

**Price:** 10 credits per 25 results



## OpenAPI

````yaml /openapi/jobs.json post /api/reed/jobs/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/reed/jobs/search:
    post:
      tags:
        - /reed
      summary: /reed/jobs/search
      description: >-
        Search Reed jobs by keywords and location. Returns job cards: id, url,
        title, description, salary, location, remote option, posting company and
        dates. Filter by distance, salary range, job type, who posted, sector,
        remote, date posted and
        graduate/visa-sponsorship/easy-apply/early-bird/hide-training-jobs
        flags.


        **Price:** 10 credits per 25 results
      operationId: __api_reed_jobs_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ReedJobsSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReedSearchJob'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ReedJobsSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          type: string
          minLength: 1
        location:
          anyOf:
            - type: string
            - type: 'null'
        count:
          type: integer
          minimum: 1
        distance:
          anyOf:
            - type: integer
              maximum: 50
              minimum: 0
            - type: 'null'
        salary_from:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        salary_to:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        job_type:
          anyOf:
            - $ref: '#/components/schemas/ReedJobType'
            - type: 'null'
        posted_by:
          anyOf:
            - $ref: '#/components/schemas/ReedPostedBy'
            - type: 'null'
        sector:
          anyOf:
            - $ref: '#/components/schemas/ReedSector'
            - type: 'null'
        remote_only:
          type: boolean
          default: false
        date_posted:
          $ref: '#/components/schemas/ReedDatePosted'
          default: anytime
        graduate:
          type: boolean
          default: false
        visa_sponsorship:
          type: boolean
          default: false
        easy_apply:
          type: boolean
          default: false
        early_bird:
          type: boolean
          default: false
        hide_training_jobs:
          type: boolean
          default: false
      type: object
      required:
        - keywords
        - count
    ReedSearchJob:
      properties:
        '@type':
          type: string
          default: ReedSearchJob
        id:
          type: integer
        url:
          anyOf:
            - type: string
            - type: 'null'
        created_at:
          anyOf:
            - type: string
            - type: 'null'
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
        display_date:
          anyOf:
            - type: string
            - type: 'null'
        expiry_date:
          anyOf:
            - type: string
            - type: 'null'
        location_name:
          anyOf:
            - type: string
            - type: 'null'
        county:
          anyOf:
            - type: string
            - type: 'null'
        remote_option:
          anyOf:
            - type: string
            - type: 'null'
        job_type:
          anyOf:
            - type: integer
            - type: 'null'
        salary_from:
          anyOf:
            - type: number
            - type: 'null'
        salary_to:
          anyOf:
            - type: number
            - type: 'null'
        salary_type:
          anyOf:
            - type: string
            - type: 'null'
        currency_id:
          anyOf:
            - type: integer
            - type: 'null'
        payment_model:
          anyOf:
            - type: string
            - type: 'null'
        taxonomy_level_1:
          anyOf:
            - type: string
            - type: 'null'
        taxonomy_level_2:
          anyOf:
            - type: string
            - type: 'null'
        is_full_time:
          anyOf:
            - type: boolean
            - type: 'null'
        is_part_time:
          anyOf:
            - type: boolean
            - type: 'null'
        is_easy_apply:
          anyOf:
            - type: boolean
            - type: 'null'
        is_promoted:
          anyOf:
            - type: boolean
            - type: 'null'
        is_featured:
          anyOf:
            - type: boolean
            - type: 'null'
        is_training_job:
          anyOf:
            - type: boolean
            - type: 'null'
        is_early_bird:
          anyOf:
            - type: boolean
            - type: 'null'
        is_priority:
          anyOf:
            - type: boolean
            - type: 'null'
        is_top_job:
          anyOf:
            - type: boolean
            - type: 'null'
        is_survey_job:
          anyOf:
            - type: boolean
            - type: 'null'
        is_ats_direct_apply:
          anyOf:
            - type: boolean
            - type: 'null'
        eligible_uk_only:
          anyOf:
            - type: boolean
            - type: 'null'
        external_url:
          anyOf:
            - type: string
            - type: 'null'
        ou_id:
          anyOf:
            - type: integer
            - type: 'null'
        ou_name:
          anyOf:
            - type: string
            - type: 'null'
        ou_type:
          anyOf:
            - type: integer
            - type: 'null'
        ou_tier_id:
          anyOf:
            - type: integer
            - type: 'null'
        ou_url:
          anyOf:
            - type: string
            - type: 'null'
        profile_id:
          anyOf:
            - type: integer
            - type: 'null'
        profile_name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ReedJobType:
      type: string
      enum:
        - permanent
        - contract
        - temp
        - part_time
        - full_time
    ReedPostedBy:
      type: string
      enum:
        - agency
        - employer
        - reed
    ReedSector:
      type: string
      enum:
        - accountancy
        - accountancy_qualified
        - admin_secretarial_pa
        - apprenticeships
        - banking
        - charity_voluntary
        - construction_property
        - customer_service
        - education
        - energy
        - engineering
        - estate_agency
        - financial_services
        - fmcg
        - general_insurance
        - graduate_training_internships
        - health_medicine
        - hospitality_catering
        - human_resources
        - it_telecoms
        - legal
        - leisure_tourism
        - manufacturing
        - marketing_pr
        - media_digital_creative
        - motoring_automotive
        - other
        - purchasing
        - recruitment_consultancy
        - retail
        - sales
        - scientific
        - security_safety
        - social_care
        - strategy_consultancy
        - training
        - transport_logistics
    ReedDatePosted:
      type: string
      enum:
        - anytime
        - today
        - lastthreedays
        - lastweek
        - lasttwoweeks
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````